/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

package com.funambol.syncml.protocol;

/**
 * This class is a container for SyncML command
 */
public class SyncMLCommand {
    
    //----------------------------------------------------------------- Constants

    //-------------------------------------------------------------- Private data

    /** The command tag name */
    private String name;

    /** The id of this command */
    private String cmdId;
    
    /** The mime-type of the items in this command.  */
    private String type;
    
    //------------------------------------------------------------- Constructors
    public SyncMLCommand(String name, String cmdId) {
        this(name, cmdId, null);
    }
    
    public SyncMLCommand(String name, String cmdId, String type) {
        this.name = name;
        this.cmdId = cmdId;
        this.type = type;
    }

    //----------------------------------------------------------- Public methods
    
    /**
     * Get the command tag name
     */
    public String getName() {
        return this.name;
    }
    
    /**
     * Get the command id
     */
    public String getCmdId() {
        return this.cmdId;
    }
    
    /**
     * Get the mime type of the items of this command
     */
    public String getType() {
        return this.type;
    }
    
    /**
     * Set the mime type of the items of this command
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * Return a string representation of this object
     */
    public String toString() {
        StringBuffer ret = new StringBuffer();

        ret.append("<Command>").append(name).append("</Command>\n").
            append("<CmdId>").append(cmdId).append("</CmdId>\n").
            append("<Type>").append(type).append("</Type>\n\n");

        return ret.toString();
    }

}

