/*
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

package com.funambol.syncml.spds;

import com.funambol.util.CodedException;

/**
 * This exception represents the base exception for synchronization
 * related error conditions.
 *
 */
public class SyncException extends CodedException {

    // Protocol codes 

    /** Generic error caused by the client */
    public static final int CLIENT_ERROR      = 400;
    /** Authentication error from remote server */
    public static final int AUTH_ERROR        = 401;
    /** Error accessing a remote resource */
    public static final int ACCESS_ERROR      = 404;
    /** Generic server error */
    public static final int SERVER_ERROR      = 500;
    /** Server busy: another sync may be in progress */
    public static final int SERVER_BUSY       = 503;
    /** Processing error in the backend connector */
    public static final int BACKEND_ERROR     = 506;

    // Client codes

    /**
     * Constructs an instance of <code>SyncException</code>
     * with the specified detail message.
     *
     * @param code the error code.
     * @param msg the detail message.
     */
    public SyncException(int code, String msg) {
        super(code, msg);
    }

}
